package ru.yandex.webmaster3.core.solomon;

import java.util.Collection;

import ru.yandex.webmaster3.core.solomon.metric.SolomonCommonLabels;

/**
 * Created by ifilippov5 on 03.05.17.
 */
public class SolomonMessage {
    private final SolomonCommonLabels commonLabels;
    private final Collection<SolomonSensor> sensors;

    public SolomonMessage(SolomonCommonLabels commonLabels, Collection<SolomonSensor> data) {
        this.commonLabels = commonLabels;
        this.sensors = data;
    }

    public SolomonCommonLabels getCommonLabels() {
        return commonLabels;
    }

    public Collection<SolomonSensor> getSensors() {
        return sensors;
    }
}
